<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=http://hilbert.mat.uc.pt/~geothms/users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>


<center>
<h3 class="maketitle">Geometry Provers, Insert/Update</h3>
</center>



<?php
require('loginsub.php');
?>

<?php

// cria uma pesquisa
$sql = "SELECT proverId,name,version
          FROM provers
         WHERE not(name='No prover selected')
      ORDER BY proverId";
$resultado = mysql_query($sql,$ligacao);


// O números de campos obtidos
$ncampos =mysql_num_fields($resultado);
$nlinhas =mysql_num_rows($resultado);

echo "<center>";
echo "<h4 class='maketitle'>$nlinhas Geometry Provers</h4>";
echo "</center>";




print "<p>&nbsp;</p>";
print "<center>";
print "<table border=1>\n";
print "<tr>\n";
print " <td colspan=5 STYLE='background:#efefef' align='right'><a href=insertProver.php>Insert a new Geometric Prover</a></td>\n";
print "</tr>\n\n";
print "<tr>\n";
print "<th> Id </th><th> Name</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th>";
print "</tr>\n\n";
while ($linha = mysql_fetch_assoc($resultado)){
  print "<tr>\n";
  $pProverId=trim($linha['proverId']);
  $pProverName=trim($linha['name']);
  $pProverVersion=trim($linha['version']);
  print " <td align=center>$pProverId</td>\n"; 
  print " <td>$pProverName</td>\n";
  print " <td>&nbsp;</td>\n";
  print " <td><a href=seedetailsProver.php?argumento=$pProverId>See details</a></td>\n";
  print " <td><a href=updateProver.php?argumento=$pProverId>update</a></td>\n";
  print"</tr>\n\n";
 }
print "</table>\n";
print "</center>";
print "<p>&nbsp;</p>";
?>




<?php
  require('footer.inc');
?>
